Syncless

Projects

List projects

Lists standard projects that the API key user has joined in the active workspace. Personal is not returned here; use the personal task list endpoint for Personal tasks.

GET /api/console/v1/projects?index=0&pageSize=50
Authorization: Bearer <api_key>

Response

{
  "projects": [
    {
      "projectId": "<project_id>",
      "name": "Launch checklist",
      "createdAt": "2026-05-17T00:00:00.000Z",
      "updatedAt": "2026-05-17T00:00:00.000Z"
    }
  ]
}

Examples

TypeScript

const BASE_URL = "https://api.syncless.ai"
const API_KEY = "<api_key>"

const response = await fetch(BASE_URL + "/api/console/v1/projects?index=0&pageSize=50", {
  headers: {
    "Authorization": "Bearer " + API_KEY,
  },
})

if (!response.ok) {
  throw new Error(await response.text())
}

console.log(await response.json())

Python

import requests

BASE_URL = "https://api.syncless.ai"
API_KEY = "<api_key>"

response = requests.get(
    BASE_URL + "/api/console/v1/projects?index=0&pageSize=50",
    headers={
        "Authorization": "Bearer " + API_KEY,
    },
)

response.raise_for_status()
print(response.json())

cURL

curl "https://api.syncless.ai/api/console/v1/projects?index=0&pageSize=50" \
  -H "Authorization: Bearer <api_key>"